import { jsx } from "react/jsx-runtime";
import { TokenSN as TokenSN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "SN", "data-name": "TokenSN", ...props, children: /* @__PURE__ */ jsx(TokenSN$1, { variant }) });
  }
);
TokenSN.displayName = "TokenSN";
Object.assign(TokenSN, { isGdsIcon: true });
export {
  TokenSN
};
